Subject: Re: Gen-ART Telechat review of draft-ietf-mpls-entropy-lsp-ping-04

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Thu, 1 Sep 2016 14:58:21 +0000

Dear Peter,

Many thanks for taking the time to go through the document with an editorial fine-tooth comb.

Although your summary, labeled [Ready with nits], says:
> I really have no problems with the documents other than some mostly
> inconsequential nits.

I took the time to fix every single one of the small nits you identified. That’s the least we could do, out of respect of you taking the time and helping the document improve.

Our working copy incorporates fixes to all these nits. Thank you.

I must share with you that the real value of your thorough review is in the Major and Minor categories, and that General-Area technical review — not in the editorial nit identification. It was excruciatingly hard to identify some of these nits, given that you use “Page x, Section y.z, n-th bullet point, m-th sentence” locators, which are not present in the (submitted) XML source. I expect the RFC Editor might find a couple more, as part of the copy edit, at that final stage before publication when it makes more sense.

Thanks again,

— Carlos.

> On Aug 29, 2016, at 11:26 PM, Peter Yee <[email-masked]> wrote:
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area Review
> Team (Gen-ART) reviews all IETF documents being processed by the IESG for
> the IETF Chair. Please wait for direction from your document shepherd or AD
> before posting a new version of the draft.  For background on Gen-ART,
> please see the FAQ at
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>
> 
> Document: draft-ietf-mpls-entropy-lsp-ping-04
> Reviewer: Peter Yee
> Review Date: August 26, 2016
> IETF LC End Date: August 26, 2016
> IESG Telechat date: September 1, 2016
> 
> Summary: This draft is basically ready for publication as a Proposed
> Standard, but has some nits that should be fixed before publication. [Ready
> with nits]
> 
> This draft expands the ability to perform MPLS LSP Ping and Traceroute
> operations in the presence of Entropy Labels when LSRs use disparate load
> balancing methods.
> 
> I really have no problems with the documents other than some mostly
> inconsequential nits.
> 
> The items below are the same as given in the LC review.
> 
> Major issues: None
> 
> Minor issues: None
> 
> Nits:
> 
> General:
> 
> Page 3, Section 1.1: delete the periods after each definition.
> 
> Change "ELI/EL pushing" to "ELI/EL-pushing".
> 
> Specific:
> 
> Page 1, Abstract, 1st paragraph, 3rd sentence: expand LSRs here as this is
> the first use of the term.  Put LSRs in parenthesis.
> 
> Page 1, Abstract, 1st paragraph, 4th and 5th sentences: change "non-EL
> based" to "non-EL-based".
> 
> Page 3, FEC definition: change "Equivalent" to "Equivalence".
> 
> Page 4, Section 1.2 , 2nd paragraph, last sentence: append a comma after
> "e.g.".
> 
> Page 4, Section 1.2, 3rd paragraph, second sentence: change "to not be"  to
> "not being".
> 
> Page 4, Section 1.2, 1st bullet point, 1st sentence: insert "the" before
> "label".
> 
> Page 5, Section 2, 2nd paragraph, 2nd sentence: append a comma after "y".
> 
> Page 5, Section 2, 3rd paragraph, 5th sentence: change "(outgoing
> interface)" to "(outgoing) interface".
> 
> Page 6, 1st sentence: insert "The" before "Current" after making it lower
> case.  Insert "the" before "following".
> 
> Page 6, 3rd bullet point, 1st sentence: delete the comma after "ECMP".
> 
> Page 6, 4th bullet item, 1st sentence: delete the comma after "ECMP".
> Insert "the" before "associated".
> 
> Page 6, 3rd asterisk bullet item: change "based on EL" to "based on the EL".
> 
> Page 6, 4th asterisk bullet item: insert "an" before "ELI".
> 
> Page 7, Section 3, 1st paragraph, 1st sentence: change the space between
> "label" and "based" to a hyphen.
> 
> Page 7, Section 4, 2nd paragraph, 1st sentence: change "PW-FEC" to "PW FEC".
> 
> Page 9, Section 6, 1st paragraph, 2nd sentence: append a comma after "one".
> 
> Page 9, L flag definition, 2nd sentence: insert "to one" before "in the echo
> reply".  Or consider working with the definition of "set" to mean "using a
> value of one" and "clear" to mean using a value of "zero" as you have done
> in other parts of the document.
> 
> Page 9, E flag definition, 2nd sentence: insert "to one" before "in the echo
> reply".
> 
> Page 11, Associated Label Multipath Information definition, 1st asterisk
> bullet item: change "16 bit" to "16-bit".
> 
> Page 12, 1st and 2nd asterisk bullet points: there is no previous mention of
> an "IP Associated Label Multipath Information".  You probably want to drop
> "IP" to match Figure 2.  Whatever you decide, make the change consistently
> throughout the document as there are other instances of "IP Associated Label
> Multipath Information", some in mixed case.  This is the only nit of real
> consequence.
> 
> Page 12, 3rd bullet item: insert "an" before "echo".  Insert "the" before
> "DS".
> 
> Page 13, Section 9, 1st paragraph after numbered items, 1st sentence: change
> "to not" to "not to".  (That just seems to read more smoothly;
> grammatically, it's fine.)
> 
> Page 13, Section 9, 1st asterisk bullet point: insert "the" before
> "following".
> 
> Page 13, Section 9, 2nd bullet item, 1st paragraph, 2nd sentence: change "to
> consider" to "considering".  Change "return" to "returning".
> 
> Page 14, Section 9.1 and 9.2 titles: change "IP Based" to "IP-based".
> 
> Page 15, 1st two asterisk bullet points: unless it is a well-known term in
> the LSP Ping/Traceroute literature, change "returning" to "returned".  (I
> couldn't find anything in RFC 4379, RFC 6424, or RFC 6790 that mentions
> "returning" as a term of art.)
> 
> Page 15, Section 9.4 title: change "Label Based" to "Label-based".
> 
> Page 16, Section 9.5 title: change "Label Based" to "Label-based".
> 
> Page 16, Section 9.5, 3rd and 4th asterisk bullet points: change "returning"
> to "returned".
> 
> Page 16, Section 9.5, 5th asterisk bullet point: insert "the" before "Label
> Multipath Information".
> 
> Page 17, Section 10, 1st paragraph, 1st sentence: change "purpose" to
> "purposes".
> 
> Page 17, items b and c: insert "the" before "label" twice in each sentence.
> Append a space after the "greater than" symbol.
> 
> Page 17, "N labels" items (numbered 1 and 2): I'm not sure how to parse
> these sentences.  Perhaps inserting "the" before "label stack" and "a"
> before "flow label" helps them to make sense, but I'm still not sure what is
> meant here.  This may simply reflect my ignorance regarding MPLS LSP Ping
> and Traceroute.
> 
> Page 18, 2nd bullet item: move the period before " (not a recommended
> practice)".
> 
> Page 18, 7th bullet item: append "the" after "exceed".
> 
> Page 19, 1st paragraph: change "supports" to "support".
>